Name: funtools
Version: 1.4.0
Release: 4%{?dist}
Summary: FITS library and utilities

# Upstream version
%define upversion 1.4.0

Group: Applications/Engineering
License: LGPLv2+
URL: http://hea-www.harvard.edu/RD/funtools/
Source0: http://hea-www.harvard.edu/saord/download/funtools/%{name}-%{upversion}.tar.gz
Patch0: funtools-makefile.patch
Patch1: funtools-wcs.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: libwcs-devel tcl-devel zlib-devel
BuildRequires: pkgconfig
Requires: gnuplot
Requires: %{name}-libs = %{version}-%{release}

%description
Funtools, is a "minimal buy-in" FITS library and utility package from 
the SAO/HEAD R&D group. The Funtools library provides simplified access to 
FITS images and binary tables, as well as to raw array and binary event lists. 
The Funtools utilities provide high-level support for processing 
astronomical data.
This package contains command-line utilities for managing FITS files.

%package devel
Summary: Headers for developing programs that will use %{name}
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release} libwcs-devel tcl-devel

%description devel
These are the header files and libraries needed to develop a %{name} 
application.

%package libs
Summary: A general purpose FITS library
Group: System Environment/Libraries
%description libs
qfits is a stand-alone C library offering easy access to FITS (Flexible Image
 Transport System) files.
This package contains the %{name} run-time library

%prep
%setup -q -n %{name}-%{upversion}
%patch0 -p1
%patch1 -p1

%build
%configure --enable-shared=link --with-wcslib=%{_libdir}/libwcs.so \
        --with-zlib=%{_libdir}/libz.so --with-tcl=%{_libdir} --enable-dl
# Parallel build does not work currently
%{__make} EXTRA_LIBS="-lwcs -lz -ldl"
%{__make} shtclfun EXTRA_LIBS="-ltcl -lwcs -lz -ldl"

%install
%{__rm} -fr %{buildroot}
%{__make} INSTALL_ROOT=%{buildroot} INSTALL="%{__install} -p" install
mv %{buildroot}/%{_bindir}/funtools.ds9 %{buildroot}/%{_datadir}/funtools
mv %{buildroot}/%{_bindir}/funcalc.sed %{buildroot}/%{_datadir}/funtools
# Bug #329741
%{__install} -p -m 644 fitsy/*.h %{buildroot}%{_includedir}/%{name}/fitsy


%clean
%{__rm} -fr %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}

%files libs
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/*so.*

%files devel
%defattr(-,root,root,-)
%doc doc/*.html
%doc doc/*.pdf
%{_libdir}/*.so
%{_libdir}/pkgconfig/funtools.pc
%exclude %{_libdir}/*.a
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/mann/*

%changelog
* Fri Nov 09 2007 Sergio Pascual <sergiopr at fedoraproject dot org> 1.4.0-4
- Adding some packages to devel requires

* Tue Oct 16 2007 Sergio Pascual <sergiopr at fedoraproject dot org> 1.4.0-3
- Fixing wcs headers

* Sat Oct 13 2007 Sergio Pascual <sergiopr at fedoraproject dot org> 1.4.0-2
- Fixing bug #329741
- Splitting libs in funtools-libs

* Mon Aug 20 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.4.0-1
- New upstream version, changed license and buildroot lines

* Sun Jul 22 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.3.0-0.5.b34
- New upstream version

* Thu May 03 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.3.0-0.5.b33
- New upstream version

* Mon Mar 26 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.3.0-0.4.b29
- Funtools Approved
- Parallel make does not work
- Problem with undefined non weak symbols in libtclfun fixed

* Fri Mar 23 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.3.0-0.3.b29
- Removed _smp_mflags

* Thu Mar 22 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.3.0-0.2.b29
- Updated funtools-makefile.patch
- Added EXTRA_LIBS to compilation step

* Tue Mar 20 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.3.0-0.1.b29
- Initial spec file
